Cyberduck Mountain Duck CLI

#173 closed defect (fixed)

Cannot write to group writable files

Reported by: jogi@… Owned by: dkocher
Priority: high Milestone: 2.7.2
Component: sftp Version: 2.7
Severity: normal Keywords: filesystem permissions groups
Cc: Architecture:
Platform:

Description

On the server a user has write permission by belonging to a group that more than one users uses. When trying to overwrite a file that was created by a differnt users cyberduck quits, stating the above mentioned error (permission denied).

I suppose there is a problem evalutating the groups a user belongs to. Help ist very much apreciated ;)

thx j.hofmueller

Change History (5)

comment:1 Changed on Jan 31, 2006 at 11:08:18 PM by dkocher

  • Milestone set to 2.5.5
  • Priority changed from normal to highest
  • Status changed from new to assigned
  • Summary changed from SSH Error on file upload when trying to overwrite an existing file to Cannot write to group writable files

Disable 'Change permissions on upload' and 'Preserve modification date on upload' in the Preferences as a workaround.

comment:2 Changed on Jan 31, 2006 at 11:08:26 PM by dkocher

  • Component changed from core to sftp

comment:3 Changed on Feb 12, 2006 at 1:22:55 AM by anonymous

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:4 Changed on Nov 27, 2006 at 12:08:11 PM by lattepiu

  • Milestone 2.5.5 deleted
  • Priority changed from highest to normal
  • Resolution fixed deleted
  • Severity changed from major to normal
  • Status changed from closed to reopened
  • Version changed from 2.5.4 to 2.7

I still have this problem in 2.7; the workaround still works. Maybe because the group which has write permissions is not the user's default group?

comment:5 Changed on Dec 4, 2006 at 9:13:32 AM by dkocher

  • Milestone set to 2.7.2
  • Priority changed from normal to high
  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software